Bug 826958 - geo-replication.indexing cannot be reset
geo-replication.indexing cannot be reset
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Csaba Henk
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 06:02 EDT by Anush Shetty
Modified: 2013-07-24 13:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:18:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2012-05-31 06:02:43 EDT
Description of problem: Resetting indexing doesn't work even though it returns the success message


Version-Release number of selected component (if applicable): 3.3.0qa45


How reproducible: 100%


Steps to Reproduce:
1. gluster volume set VOLNAME indexing on
2. gluster volume reset VOLNAME indexing
3.
  
Actual results:

[root@ip-10-248-10-25 glusterfs]# gluster volume reset distrep_new indexing
reset volume successful
[root@ip-10-248-10-25 glusterfs]# gluster volume info
 
Volume Name: distrep_new
Type: Distributed-Replicate
Volume ID: 25b046fa-3bcd-4ff1-9ebe-76ef77c1dd51
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: ec2-50-112-27-254.us-west-2.compute.amazonaws.com:/mnt/dr1
Brick2: ec2-50-112-58-223.us-west-2.compute.amazonaws.com:/mnt/dr2
Brick3: ec2-50-112-77-200.us-west-2.compute.amazonaws.com:/mnt/dr3
Brick4: ec2-50-112-27-152.us-west-2.compute.amazonaws.com:/mnt/dr4
Options Reconfigured:
geo-replication.indexing: on
performance.read-ahead: off


[root@ip-10-248-10-25 glusterfs]# gluster volume reset distrep_new
reset volume successful
[root@ip-10-248-10-25 glusterfs]# gluster volume info
 
Volume Name: distrep_new
Type: Distributed-Replicate
Volume ID: 25b046fa-3bcd-4ff1-9ebe-76ef77c1dd51
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: ec2-50-112-27-254.us-west-2.compute.amazonaws.com:/mnt/dr1
Brick2: ec2-50-112-58-223.us-west-2.compute.amazonaws.com:/mnt/dr2
Brick3: ec2-50-112-77-200.us-west-2.compute.amazonaws.com:/mnt/dr3
Brick4: ec2-50-112-27-152.us-west-2.compute.amazonaws.com:/mnt/dr4
Options Reconfigured:
geo-replication.indexing: on
Comment 1 Csaba Henk 2012-05-31 15:26:17 EDT
That indexing cannot be reset is fine, as it is a protected option (need force flag to reset).

Problem is indeed that no feedback given on it (only a jolly success message).

Another issue is that reset with option names works only for full option names
(like "geo-replication.indexing". but not for the short forms (as "indexing"); and this misbehavior is also silent.
Comment 2 Csaba Henk 2013-03-06 03:27:37 EST
Adding reference to the fix manually:

http://review.gluster.com/3500
Comment 3 Venky Shankar 2013-03-06 03:30:51 EST
patch (http://review.gluster.com/#change,3500) went it but the bz didn't get updated.

Vijaykumar, please test it out.

Note You need to log in before you can comment on or make changes to this bug.